<?php

include('../common/parseargs.php');

$USAGE=" --groupname=<groupname> --groupdescription=<groupdescription> ";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$GROUPNAME=$args_array['groupname'];
$GROUPDESCRIPTION=$args_array['groupdescription'];


if (strlen($GROUPNAME) < 1) {
	echo "ERROR: --groupname=<groupname> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($GROUPDESCRIPTION) < 1) {
	echo "ERROR: --groupdescription=<groupdescription> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

try{
	$client = new soapclient("https://$HOST:$PORT/Group?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response=$client->createGroup(
		array(
		'name'=>"$GROUPNAME", 
		'description'=>"$GROUPDESCRIPTION"
	 	)
	);

	echo "Successfully executed createGroup\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}
?> 
